import { HcApi } from '../../../request/index'
export default {
    //列表
    async getAllMaterial(form) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/get-all-material2',
            method: 'post',
            data: form,
        })
    },
    //获取清单树
    async getAdjustFormTree(form) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/get-adjust-form-tree',
            method: 'get',
            params: form,
        })
    },
    //确定绑定
    async linkFormMaterial(form) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/material-link-form',
            method: 'post',
            data: form,
        })
    },
     //获取清单列表
    async linkAllForm(form) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/get-link-all-form',
            method: 'get',
            params: form,
        })
    },
    //解除绑定关系
    async removeLinkForm(id) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/remove-link-form',
            method: 'get',
            params: { id },
        })
    },
    //提交编辑
    async submitLinkForm(form) {
        return HcApi({
            url: '/api/blade-meter/contractMaterial/submit-link-form',
            method: 'post',
            data: form,
        })
    },
}
